import dynamix_sdk.base as _base


class CloudapiBserviceSnapshotDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceSnapshotDeleteProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def snapshot_delete(
        self,
        *,
        bservice_id: int,
        label: str,
    ) -> CloudapiBserviceSnapshotDeleteResultBool:
        ...
